"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.localeRe = undefined;
exports.isValid = isValid;
exports.parse = parse;

var _makePlural = require("make-plural");

var _makePlural2 = _interopRequireDefault(_makePlural);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var localeRe = exports.localeRe = new RegExp(/(([a-z]+)(_([a-zA-Z]+))?)/);

function isValid(locale) {
  var match = localeRe.exec(locale);
  return match && match[0] === locale && match[2] in _makePlural2.default;
}

function parse(locale) {
  var match = localeRe.exec(locale);
  if (!match || match[0] !== locale) return null;

  return {
    language: match[2],
    country: match[4]
  };
}