"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _slicedToArray2 = require("babel-runtime/helpers/slicedToArray");

var _slicedToArray3 = _interopRequireDefault(_slicedToArray2);

exports.default = command;

var _chalk = require("chalk");

var _chalk2 = _interopRequireDefault(_chalk);

var _commander = require("commander");

var _commander2 = _interopRequireDefault(_commander);

var _linguiConf = require("lingui-conf");

var _linguiConf2 = _interopRequireDefault(_linguiConf);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function command(format, locales) {
  var results = locales.map(function (locale) {
    var _format$addLocale = format.addLocale(locale),
        _format$addLocale2 = (0, _slicedToArray3.default)(_format$addLocale, 2),
        created = _format$addLocale2[0],
        filename = _format$addLocale2[1];

    if (!filename) {
      console.log(_chalk2.default.red(`Unknown locale: ${_chalk2.default.bold(locale)}.`));
      return false;
    } else if (created) {
      console.log(_chalk2.default.green(`Added locale ${_chalk2.default.bold(locale)}.`));
    } else {
      console.log(_chalk2.default.yellow(`Locale ${_chalk2.default.bold(locale)} already exists.`));
    }

    return true;
  });

  if (results.filter(Boolean).length) {
    console.log();
    console.log(`(use "${_chalk2.default.yellow("lingui extract")}" to extract messages)`);
  }
}

if (require.main === module) {
  _commander2.default.description("Add target locales. Remove locale by removing <locale> " + "directory from your localeDir (e.g. ./locale/en)").arguments("<locale...>").option("--format <format>", "Format of message catalog").on("--help", function () {
    console.log("\n  Examples:\n");
    console.log("    # Add single locale");
    console.log("    $ lingui add-locale en");
    console.log("");
    console.log("    # Add multiple locales");
    console.log("    $ lingui add-locale en es fr ru");
  }).parse(process.argv);

  if (!_commander2.default.args.length) _commander2.default.help();

  var config = (0, _linguiConf2.default)();
  var formatName = _commander2.default.format || config.format;
  var format = require(`./api/formats/${formatName}`).default(config);

  command(format, _commander2.default.args);
}